# $Revision: 1.10 $, $Date: 2002/02/25 10:31:20 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Cache
Summary:	File-Cache perl module
Summary(pl):	Modu perla File-Cache
Name:		perl-File-Cache
Version:	0.16
Release:	6
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl-devel >= 5.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Cache implements an object store where data is persisted across
processes in the filesystem. It was written to compliment IPC::Cache.

Where IPC::Cache is faster for small numbers of simple objects,
File::Cache tends toward being more performant when caching large
numbers of complex objects.

%description -l pl
File::Cache implementuje obiekt przechowujcy dane, ktre s
zachowywane na czas dziaa w systemie plikw. Zosta napisany jako
odpowiednik IPC::Cache.

O ile IPC::Cache jest szybszy dla maych iloci prostych obiektw,
File::Cache prbuje by bardziej wydajny przy cachowaniu wikszych
iloci zoonych obiektw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README TODO CHANGES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{perl_sitelib}/File/Cache.pm

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-Cache.spec,v $
Revision 1.10  2002/02/25 10:31:20  depesz
cleanup; revision++

Revision 1.9  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 14:13:55  depesz
automatic: Source location unfied, Relase Up

Revision 1.7  2002/02/12 10:14:47  kloczek
- release 4.

Revision 1.6  2002/02/10 15:40:11  depesz
adapterized

Revision 1.5  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.3  2001/05/21 20:36:04  kloczek
- release 2.

Revision 1.2  2001/05/21 20:01:26  mis
- buildarch: noarch

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
